Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRDesignSubreportReturnValue

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseSubreportReturnValue
          net.sf.jasperreports.engine.design.JRDesignSubreportReturnValue

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRSubreportReturnValue

    public class JRDesignSubreportReturnValue

extends JRBaseSubreportReturnValue
implements JRChangeEventsSupport

Implementation of `JRSubreportReturnValue` to be used for report desing purposes.

Version:
  $Id: JRDesignSubreportReturnValue.java 3584 2010-03-12 12:43:25Z shertage $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_CALCULATION`
`static java.lang.String` | `PROPERTY_INCREMENTER_FACTORY_CLASS_NAME`
`static java.lang.String` | `PROPERTY_SUBREPORT_VARIABLE`
`static java.lang.String` | `PROPERTY_TO_VARIABLE`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseSubreportReturnValue
`calculationValue, incrementerFactoryClassName, subreportVariable, toVariable`

Constructor Summary
`JRDesignSubreportReturnValue()`

Method Summary
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`void` | `setCalculation(byte calculation)` Deprecated. Replaced by `setCalculation(CalculationEnum)`
`void` | `setCalculation(CalculationEnum calculationValue)` Sets the calculation type.
`void` | `setIncrementerFactoryClassName(java.lang.String incrementerFactoryClassName)` Sets the incrementer factory class name.
`void` | `setSubreportVariable(java.lang.String name)` Sets the subreport variable name.
`void` | `setToVariable(java.lang.String name)` Sets the master variable name.

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseSubreportReturnValue
`clone, getCalculation, getCalculationValue, getIncrementerFactoryClassName, getSubreportVariable, getToVariable`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_CALCULATION

    public static final java.lang.String PROPERTY_CALCULATION

See Also:
  Constant Field Values

### PROPERTY_INCREMENTER_FACTORY_CLASS_NAME

    public static final java.lang.String PROPERTY_INCREMENTER_FACTORY_CLASS_NAME

See Also:
  Constant Field Values

### PROPERTY_SUBREPORT_VARIABLE

    public static final java.lang.String PROPERTY_SUBREPORT_VARIABLE

See Also:
  Constant Field Values

### PROPERTY_TO_VARIABLE

    public static final java.lang.String PROPERTY_TO_VARIABLE

See Also:
  Constant Field Values

Constructor Detail

### JRDesignSubreportReturnValue

    public JRDesignSubreportReturnValue()

Method Detail

### setSubreportVariable

    public void setSubreportVariable(java.lang.String name)

  Sets the subreport variable name.

  Parameters:
    `name` - the variable name
  See Also:
    `JRSubreportReturnValue.getSubreportVariable()`

### setToVariable

    public void setToVariable(java.lang.String name)

  Sets the master variable name.

  Parameters:
    `name` - the variable name
  See Also:
    `JRSubreportReturnValue.getToVariable()`

### setCalculation

    public void setCalculation(byte calculation)

  Deprecated. Replaced by `setCalculation(CalculationEnum)`

### setCalculation

    public void setCalculation(CalculationEnum calculationValue)

  Sets the calculation type.

  Parameters:
    `calculationValue` - the calculation type
  See Also:
    `JRSubreportReturnValue.getCalculation()`

### setIncrementerFactoryClassName

    public void setIncrementerFactoryClassName(java.lang.String incrementerFactoryClassName)

  Sets the incrementer factory class name.

  Parameters:
    `incrementerFactoryClassName` - the name of the incrementer factory class
  See Also:
    `JRSubreportReturnValue.getIncrementerFactoryClassName()`

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com